<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwAlarmHandling: fwAlarmScreenGeneric.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwAlarmHandling
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwAlarmScreenGeneric_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwAlarmScreenGeneric.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2e26253f642394bfd827eedad5fb57c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a2e26253f642394bfd827eedad5fb57c4">fwAlarmScreenGeneric_initAlarmCounter</a> ()</td></tr>
<tr class="separator:a2e26253f642394bfd827eedad5fb57c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5d5d3c2e756f8a0713d355e5d0af3d4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#af5d5d3c2e756f8a0713d355e5d0af3d4">_fwAlarmScreenGeneric_alarmCount</a> ()</td></tr>
<tr class="separator:af5d5d3c2e756f8a0713d355e5d0af3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a156a9b160ba4383d94d4e1a8c74fcaee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a156a9b160ba4383d94d4e1a8c74fcaee">_fwAlarmScreenGeneric_acknowledgeAll</a> (bool bVisibleRangeOnly=false)</td></tr>
<tr class="separator:a156a9b160ba4383d94d4e1a8c74fcaee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e816bfb861adf337ced6b171f46eba0"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a3e816bfb861adf337ced6b171f46eba0">fwAlarmScreenGeneric_getConnectedSystems</a> ()</td></tr>
<tr class="separator:a3e816bfb861adf337ced6b171f46eba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1f61810b932dcb8430744f620c79685"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ae1f61810b932dcb8430744f620c79685">fwAlarmScreenGeneric_initSystemInfo</a> ()</td></tr>
<tr class="separator:ae1f61810b932dcb8430744f620c79685"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb9f7213c4bc4e88b89a4e07b131caaa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#abb9f7213c4bc4e88b89a4e07b131caaa">_fwAlarmScreenGeneric_systemStateCB</a> (string sDpe, bool bState)</td></tr>
<tr class="separator:abb9f7213c4bc4e88b89a4e07b131caaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9729bba641e39f2863db6b9fccfe669b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a9729bba641e39f2863db6b9fccfe669b">_fwAlarmScreenGeneric_filteredSystemsCB</a> (string sDpe, dyn_string dsSystems)</td></tr>
<tr class="separator:a9729bba641e39f2863db6b9fccfe669b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47e6ee77013191874d1ce0fa16e30561"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a47e6ee77013191874d1ce0fa16e30561">_fwAlarmScreenGeneric_updateSystemState</a> ()</td></tr>
<tr class="separator:a47e6ee77013191874d1ce0fa16e30561"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0517a6ec86f720556fbbfa8eb069374f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a0517a6ec86f720556fbbfa8eb069374f">fwAlarmScreenGeneric_config_openConfigPanel</a> ()</td></tr>
<tr class="separator:a0517a6ec86f720556fbbfa8eb069374f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b0b9b4734a2c34f299f2c18a03164dd"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a2b0b9b4734a2c34f299f2c18a03164dd">_fwAlarmScreenGeneric_config_getDpName</a> ()</td></tr>
<tr class="separator:a2b0b9b4734a2c34f299f2c18a03164dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a6635af5b41760e4ce1c002bc0681a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a31a6635af5b41760e4ce1c002bc0681a">_fwAlarmScreenGeneric_config_init</a> (const string sDp)</td></tr>
<tr class="separator:a31a6635af5b41760e4ce1c002bc0681a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad88156523d92a1a909092d647790c666"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ad88156523d92a1a909092d647790c666">_fwAlarmScreenGeneric_config_set</a> (const string sParameter, const anytype aValue)</td></tr>
<tr class="separator:ad88156523d92a1a909092d647790c666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac17bc66a8327ab093caade6c346d43f5"><td class="memItemLeft" align="right" valign="top">anytype&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ac17bc66a8327ab093caade6c346d43f5">_fwAlarmScreenGeneric_config_get</a> (const string sParameter)</td></tr>
<tr class="separator:ac17bc66a8327ab093caade6c346d43f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a401fed6116e039798db0704f50872343"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a401fed6116e039798db0704f50872343">_fwAlarmScreenGeneric_config_authorizedUser</a> ()</td></tr>
<tr class="separator:a401fed6116e039798db0704f50872343"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4600bc561dafb3df8bee76b2da980f5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ac4600bc561dafb3df8bee76b2da980f5">_fwAlarmScreenGeneric_config_isAdmin</a> ()</td></tr>
<tr class="separator:ac4600bc561dafb3df8bee76b2da980f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c794861bb63dcc237147f2d5c5d5204"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a2c794861bb63dcc237147f2d5c5d5204">fwAlarmScreenGeneric_config_triggerEvent</a> (const int iEvent)</td></tr>
<tr class="separator:a2c794861bb63dcc237147f2d5c5d5204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf1f48f500a87c3535997a2e0109d25"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a9cf1f48f500a87c3535997a2e0109d25">_fwAlarmScreenGeneric_config_connectEvent</a> (const string sWork)</td></tr>
<tr class="separator:a9cf1f48f500a87c3535997a2e0109d25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18e766c3af46f5635c6c29b7d2f52ac1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a18e766c3af46f5635c6c29b7d2f52ac1">_fwAlarmScreenGeneric_config_disconnectEvent</a> (const string sWork, string sUser)</td></tr>
<tr class="separator:a18e766c3af46f5635c6c29b7d2f52ac1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a60f63a74671113aa2864bba34a4dd0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a7a60f63a74671113aa2864bba34a4dd0">fwAlarmScreenGeneric_config_save</a> (const bool bSaveToDisk=false)</td></tr>
<tr class="separator:a7a60f63a74671113aa2864bba34a4dd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0140a9b9234d47a59eb94b6f5e8805e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a0140a9b9234d47a59eb94b6f5e8805e5">fwAlarmScreenGeneric_config_load</a> ()</td></tr>
<tr class="separator:a0140a9b9234d47a59eb94b6f5e8805e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15c06dc18bda83a6f95ebfb0b6bf8f82"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a15c06dc18bda83a6f95ebfb0b6bf8f82">fwAlarmScreenGeneric_config_reduce</a> (const string sWidget)</td></tr>
<tr class="separator:a15c06dc18bda83a6f95ebfb0b6bf8f82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9dd4f25a0a4ba8db087dba6f9221a01"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ad9dd4f25a0a4ba8db087dba6f9221a01">fwAlarmScreenGeneric_config_expand</a> (const string sWidget)</td></tr>
<tr class="separator:ad9dd4f25a0a4ba8db087dba6f9221a01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a872ff0b2d875caf621a697c27442e830"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a872ff0b2d875caf621a697c27442e830">fwAlarmScreenGeneric_combocheckbox_setItems</a> (const string sReference, dyn_string dsElementList)</td></tr>
<tr class="separator:a872ff0b2d875caf621a697c27442e830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc0fc0eea98d48f91553c03d46f99993"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#afc0fc0eea98d48f91553c03d46f99993">fwAlarmScreenGeneric_combocheckbox_getItems</a> (const string sReference)</td></tr>
<tr class="separator:afc0fc0eea98d48f91553c03d46f99993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f76e1d6446c7b5ff00c96314c18d475"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a7f76e1d6446c7b5ff00c96314c18d475">fwAlarmScreenGeneric_combocheckbox_setSelectedItems</a> (const string sReference, const dyn_string dsSelectedItemList, bool bAllAreSelected=false)</td></tr>
<tr class="separator:a7f76e1d6446c7b5ff00c96314c18d475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa12eb800ff98e8fc1d7f70d6b5d3c8fd"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#aa12eb800ff98e8fc1d7f70d6b5d3c8fd">fwAlarmScreenGeneric_combocheckbox_getSelectedItems</a> (const string sReference, bool &amp;bAllAreSelected)</td></tr>
<tr class="separator:aa12eb800ff98e8fc1d7f70d6b5d3c8fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8141bad0e47cbdb0bf4726c18e58fe3d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a8141bad0e47cbdb0bf4726c18e58fe3d">fwAlarmScreenGeneric_combocheckbox_showWidget</a> (const string sReference, const bool bShow)</td></tr>
<tr class="separator:a8141bad0e47cbdb0bf4726c18e58fe3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49fef6eadb84e3f32df00bc61ffd2852"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a49fef6eadb84e3f32df00bc61ffd2852">fwAlarmScreenGeneric_combocheckbox_moveWidget</a> (const string sReference, const int iDeltaX, const int iDeltaY)</td></tr>
<tr class="separator:a49fef6eadb84e3f32df00bc61ffd2852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b1a7c21e06f2330defe7edcd730124e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a9b1a7c21e06f2330defe7edcd730124e">fwAlarmScreenGeneric_combocheckbox_enableWidget</a> (const string sReference, const bool bEnabled)</td></tr>
<tr class="separator:a9b1a7c21e06f2330defe7edcd730124e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5730c66c06733f7b868019724da3089f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a5730c66c06733f7b868019724da3089f">_fwAlarmScreenGeneric_combocheckbox_show</a> ()</td></tr>
<tr class="separator:a5730c66c06733f7b868019724da3089f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0435bbf525e595284538b679cd3653f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ab0435bbf525e595284538b679cd3653f">_fwAlarmScreenGeneric_combocheckbox_saveSelection</a> (const dyn_string dsSelectedElementList, const bool bForceSingle, const string sReferenceParam=&quot;&quot;)</td></tr>
<tr class="separator:ab0435bbf525e595284538b679cd3653f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb6b66e90e687f62d38eb9781920def"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#abcb6b66e90e687f62d38eb9781920def">_fwAlarmScreenGeneric_combocheckbox_hideTable</a> (const int iClickedRow=-1)</td></tr>
<tr class="separator:abcb6b66e90e687f62d38eb9781920def"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d1977a6061f9258fccd26da9f78a430"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a5d1977a6061f9258fccd26da9f78a430">_fwAlarmScreenGeneric_combocheckbox_filterTable</a> (const string sFilter)</td></tr>
<tr class="separator:a5d1977a6061f9258fccd26da9f78a430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15555958b37b04b8eac2702692e24e00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a15555958b37b04b8eac2702692e24e00">_fwAlarmScreenGeneric_combocheckbox_selectAll</a> (const bool bSelect)</td></tr>
<tr class="separator:a15555958b37b04b8eac2702692e24e00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec9f5f3ec814b995fc712ac0d5771105"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#aec9f5f3ec814b995fc712ac0d5771105">_fwAlarmScreenGeneric_combocheckbox_checkAll</a> ()</td></tr>
<tr class="separator:aec9f5f3ec814b995fc712ac0d5771105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8d7e35d0e4743fa6d9e3c87b3679c08"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ae8d7e35d0e4743fa6d9e3c87b3679c08">_fwAlarmScreenGeneric_combocheckbox_chooseAllVisible</a> ()</td></tr>
<tr class="separator:ae8d7e35d0e4743fa6d9e3c87b3679c08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350c911a838a12d0e75af5bdd8a3757e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a350c911a838a12d0e75af5bdd8a3757e">_fwAlarmScreenGeneric_rearrangeScreen</a> ()</td></tr>
<tr class="separator:a350c911a838a12d0e75af5bdd8a3757e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0ab7f9e6156b6b8299a87b1fc456a18"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ae0ab7f9e6156b6b8299a87b1fc456a18">_fwAlarmScreenGeneric_disableActions</a> ()</td></tr>
<tr class="separator:ae0ab7f9e6156b6b8299a87b1fc456a18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdb61f31417e9bfab81c2c763f0809b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#afdb61f31417e9bfab81c2c763f0809b2">fwAlarmScreenGeneric_expandOrReduceFrame</a> (string sFrame)</td></tr>
<tr class="separator:afdb61f31417e9bfab81c2c763f0809b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b13068ae827812ffefd30ddd22863a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a7b13068ae827812ffefd30ddd22863a9">fwAlarmScreenGeneric_resizeTable</a> ()</td></tr>
<tr class="separator:a7b13068ae827812ffefd30ddd22863a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d1baae9623a16cbb446e1a050663151"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a4d1baae9623a16cbb446e1a050663151">fwAlarmScreenGeneric_expand</a> ()</td></tr>
<tr class="separator:a4d1baae9623a16cbb446e1a050663151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f001f6a34bc0e31944932002c7ef56e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a3f001f6a34bc0e31944932002c7ef56e">fwAlarmScreenGeneric_closePanel</a> ()</td></tr>
<tr class="separator:a3f001f6a34bc0e31944932002c7ef56e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bbc43d4e5f5a8e8cf49cc2f9ffdbfbe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a2bbc43d4e5f5a8e8cf49cc2f9ffdbfbe">_fwAlarmScreenGeneric_moveWidgetTo</a> (string sShape1, string sShape2)</td></tr>
<tr class="separator:a2bbc43d4e5f5a8e8cf49cc2f9ffdbfbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80e8d1d87282ad854b4c2058717ea40e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a80e8d1d87282ad854b4c2058717ea40e">_fwAlarmScreenGeneric_isReduced</a> (string sFrame)</td></tr>
<tr class="separator:a80e8d1d87282ad854b4c2058717ea40e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aede768b2f3da4f05c8b0882dd636b6b4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#aede768b2f3da4f05c8b0882dd636b6b4">fwAlarmScreenGeneric_getAlarmClass</a> ()</td></tr>
<tr class="separator:aede768b2f3da4f05c8b0882dd636b6b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aade589d5632a1fdd7a0abbcb7fb9b2de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#aade589d5632a1fdd7a0abbcb7fb9b2de">fwAlarmScreenGeneric_wait</a> (bool bWait)</td></tr>
<tr class="separator:aade589d5632a1fdd7a0abbcb7fb9b2de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e20e9d6bc473de9fa6c24d43f8a65a3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a3e20e9d6bc473de9fa6c24d43f8a65a3">fwAlarmScreenGeneric_isHeaderReduced</a> ()</td></tr>
<tr class="separator:a3e20e9d6bc473de9fa6c24d43f8a65a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae48376d957ce16d5ac16bb9150f94438"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#ae48376d957ce16d5ac16bb9150f94438">fwAlarmScreenGeneric_isInfoReduced</a> ()</td></tr>
<tr class="separator:ae48376d957ce16d5ac16bb9150f94438"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa37a33b8f7d41eba1ac5b408a3325b8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#aaa37a33b8f7d41eba1ac5b408a3325b8">fwAlarmScreenGeneric_isTableFilterReduced</a> ()</td></tr>
<tr class="separator:aaa37a33b8f7d41eba1ac5b408a3325b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51bf7a3f5ffeb2365d8722aab2f13c2b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a51bf7a3f5ffeb2365d8722aab2f13c2b">fwAlarmScreenGeneric_isAlarmFilterReduced</a> ()</td></tr>
<tr class="separator:a51bf7a3f5ffeb2365d8722aab2f13c2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70d54110c491a4949ff8487fc88e51b1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a70d54110c491a4949ff8487fc88e51b1">fwAlarmScreenGeneric_screenReady</a> ()</td></tr>
<tr class="separator:a70d54110c491a4949ff8487fc88e51b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb8fb1405bf580ca8456affa2ae45b7a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#aeb8fb1405bf580ca8456affa2ae45b7a">fwAlarmScreenGeneric_copyLineToClipboard</a> (const dyn_int diRows, const string sTableName)</td></tr>
<tr class="separator:aeb8fb1405bf580ca8456affa2ae45b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64a20757c6b2b4d9b44867fbaf10d626"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a64a20757c6b2b4d9b44867fbaf10d626">fwAlarmScreenGeneric_showHeader</a> (const bool bShow)</td></tr>
<tr class="separator:a64a20757c6b2b4d9b44867fbaf10d626"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2148a0cc7891cdb79280f3a15fc3c1a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a2148a0cc7891cdb79280f3a15fc3c1a6">fwAlarmScreenGeneric_showInfo</a> (const bool bShow)</td></tr>
<tr class="separator:a2148a0cc7891cdb79280f3a15fc3c1a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63a54fcb94a484ee7f9a55da42debf4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a63a54fcb94a484ee7f9a55da42debf4e">fwAlarmScreenGeneric_showTableFilter</a> (const bool bShow)</td></tr>
<tr class="separator:a63a54fcb94a484ee7f9a55da42debf4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd9745d0e61499a6915df42d7dd7133"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a1fd9745d0e61499a6915df42d7dd7133">fwAlarmScreenGeneric_showAlertFilter</a> (const bool bShow)</td></tr>
<tr class="separator:a1fd9745d0e61499a6915df42d7dd7133"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5bc26151b06da0ef6464fa66bd961532"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmScreenGeneric_8ctl.html#a5bc26151b06da0ef6464fa66bd961532">FW_ALARM_GENERIC_COMBOCHECKBOX_TABLE</a> = &quot;fwAlarmScreenGeneric_combochecktable&quot;</td></tr>
<tr class="separator:a5bc26151b06da0ef6464fa66bd961532"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>New version of the alarm panel. The goal is to have a single panel (instead of one for JCOP, one for UNICOS, one for anything else). </p>
<hr/>
 <h2>&mdash; Customization: &mdash; </h2>
<p>The panel is made of the AES table and 4 customisable widgets:</p>
<ul>
<li>A header.</li>
<li>A filter on the alarm (AES internally managed).</li>
<li>A filter on the table (just locally hide lines).</li>
<li>One to add any other information you would like to.</li>
</ul>
<p>However, you can use each widget to put anything you want, the list is just based on what is commonly needed in an alarm panel.</p>
<p>Each of those widget is independent from the main panel, so that you can change them at your will. However, certain rules must be followed when creating a custom alert panel.</p>
<ul>
<li>You need to identify your panel (e.g. "fwAlarmScreen") and pass this identifier by the $parameter $sAlarmType.</li>
<li>You need to define a set of functions with a specific name "xxAlarm_function" where "xxAlarm" refers to the identifier mentioned above (e.g. "fwAlarmScreen"). The constants FW_ALARM_GENERIC_FUNCTION_XXX give a list of available functions. Some of them are mandatory, without them the alarm panel will not work. The mandatory functions are those concerning those 4 widgets. However, they are mandatory only if the concerned widgets exist.</li>
</ul>
<hr/>
 <h2>&mdash; Event management: &mdash; </h2>
<p>Any alarm panel can send different events (see FWALARMSCREEN_GENERIC_CONFIG_EVENT_***). To handle those events, a function xxAlarm_eventHandler(string, int) must be defined. Event handling is implemented through the WinCC OA callback feature. Each time an event is triggered, this function will be called with the event as second parameter. Like this, it is possible to add a custom behaviour when the configuration changes, when the screen is expanded, etc.</p>
<p>If you wish to use custom events, start after 100. </p>
<hr/>
 <h2>-&mdash; Configuration: -&mdash; </h2>
<p>A button is already in place to open a configuration panel where we define things for the current alarm screen like:</p>
<ul>
<li>Custom right-click menu entries</li>
<li>Column visibility and width</li>
<li>Access control set-up</li>
<li>...</li>
</ul>
<p>By default, only the basic settings can be changed (i.e. the UI ones). It is possible to extend this by providing a function xxAlarm_getConfigPanels(). This function has to return a dyn_string, each element following this format: PanelFile;PanelTitle;</p>
<dl class="section rcs"><dt>P1:</dt><dd>XX;</dd></dl>
<p>P2:YYY&ndash;... where</p>
<ul>
<li>PanelFile is the path to the configuration panel (e.g. "vision/myAlarm/myConfigPanel.pnl"). The size of the panel must be 600x500 to fit the main config panel.</li>
<li>PanelTitle is the text to display for this configuration panel (e.g. "MyAlarm configuration")</li>
<li>$Pxxx are all the dollar parameters to pass to the config panel (and their value)</li>
<li>The ; is defined through FWALARMSCREEN_GENERIC_CONFIGURATION_PANEL_SEPARATOR, use this instead of plain text. For each line in the returned dyn_string a new configuration panel will be added. When everything is closed, the event FWALARMSCREEN_GENERIC_CONFIG_EVENT_CONFIG_CHANGED is triggered.</li>
</ul>
<p>Note that the user must be authorized to write datapoints in order to save any configuration. </p>
<hr/>
 <h2>-&mdash; Custom right click configuration: -&mdash; </h2>
<p>The user can save a set of custom right click menu entries to be added dynamically to a panel. To each new right click entry you must provide a function to call. This function has to take the following parameters (in the following order):</p>
<ul>
<li>string sAlarmDpe : The DPE in alarm.</li>
<li>atime atAlertTime : The ID of the alarm.</li>
<li>anytype aCellValue : The content of the cell that was clicked.</li>
<li>string sClickedColumnName : The name of the clicked column.</li>
<li>int iClickedRow : The clicked row. <hr/>
 <h2>&mdash; Access control: &mdash; </h2>
</li>
</ul>
<p>If access control is set up (i.e. fwAccessControl is installed), a function xxAlarm_userChanged(string sUser) can be defined. If defined, this function will be called every time a new user logs in. Remember that this function will be called from the reference panel so all variables defined in the scopelib of your alarm panel will not be visible.</p>
<hr/>
 <h2>-&mdash; Busy callback: -&mdash; </h2>
<p>If defined, the function xxAlarm_busyStateChanged(int iState) will be called every time the busy state of the alarm changes.</p>
<hr/>
 <h2>-&mdash; Distributed control: -&mdash; </h2>
<p>The "systemInfo" widget provides help with distributed system monitoring. You don't need to worry about how to manage your system connections any-more. If defined, the function xxxAlarm_systemConnected(string sSystemName) will be called when a system comes online. The parameter is the name of this new system. The function xxxAlarm_systemDisconnected(string sSystemName) will be called when a system goes offline. The parameter is the name of this system.</p>
<dl class="section user"><dt>Creation Date</dt><dd>07/01/2013</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd>24/05/2017 Adrian Crestar Santome<ul>
<li>There are certain columns that have to be "enabled" via the "AE-Row/Screen" config panel in order to be shown in the AlarmScreen. For example, by default, the "alarmPanel" column is not enabled, so even if the user wants to show it, it will get hidden again automatically. In order to make it visible permanently, these columns will be added to the PropertiesDP ".Both.Visible.VisibleColumns" element when the user decides to save the column configuration.<ul>
<li>The DPE FWALARMSCREEN_GENERIC_CONFIGURATION_COLUMNS_VISIBILITY is connected to a function from '<a class="el" href="fwAlarmScreen_8ctl.html">fwAlarmScreen.ctl</a>'. Every time there is a change in that DPE, the function will be called to update the ".Both.Visible.VisibleColumns" element in the AES Properties DP.</li>
</ul>
</li>
</ul>
</dd></dl>
<p>19/05/2017 Adrian Crestar Santome</p>
<ul>
<li><p class="startli">{FWAH-355}: Button in the 'Options' panel to save the column configuration.</p>
<ul>
<li>The columns visibility and the width are stored in the DP via this button. Any change done in the column configuration without "saving" it, will be available only during runtime.</li>
<li>In 'fwAlarmScreenGenericConfigSubPanel.pnl":
      - The checkboxes for "column visibility" and "save width" were removed.
      - Their functionality is now provided via the "Save" button.</li>
<li>In this file:<ul>
<li>New DPE: ".runtime.columnsVisibility" to store the visibility without making it "permanent". (.global.columnsVisibility).</li>
<li>The function "fwAlarmScreenGeneric_config_save" has a new parameter, bSaveToDisk, which defaults to false. When calling this function with it set to true, it will store the column configuration in the "global" config of the DP.</li>
<li>The function "fwAlarmScreenGeneric_saveColumnsWidth" will set the flag "SAVE_COLUMNS_WIDTH" to false. This flag is set to true only when saving the column configuration via the 'Save' button.</li>
<li>The function 'fwAlarmScreenGeneric_setColumnVisibility" now has an input parameter to decide
        whether to load the "runtime" visibilitly or the "persistent" one.
      - The "fwAlarmScreenGeneric_openConfigPanel" function will:<ul>
<li>Update the runtime visibility to the current one.</li>
<li>And, when closing the config panel:<ul>
<li>Save the columns width (instead of doing it when closing the alarm screen).</li>
<li>Set the column visibility from the runtime configuration.</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<p class="startli">05/04/2017: Adrian Crestar Santome</p>
<ul>
<li>{FWAH-359} Put text counter in black if 0 alarms are in the lists.</li>
<li>Two new constants, FW_ALARM_GENERIC_EMPTY_ALARM_COUNTER_COLOR and FW_ALARM_GENERIC_NOT_EMPTY_ALARM_COUNTER_COLOR, to define the text counter colors when the alarm list is empty or not.</li>
<li>In _fwAlarmScreenGeneric_alarmCount: set the foreground color of the text counters.</li>
</ul>
</li>
</ul>
<dl class="section author"><dt>Author</dt><dd>Cyril Caillaba (EN-ICE-SCD) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a2e26253f642394bfd827eedad5fb57c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_initAlarmCounter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Initialize the widget that counts how many alarms are in the table and how many of them are not acknowledged.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public. </dd></dl>

</div>
</div>
<a class="anchor" id="af5d5d3c2e756f8a0713d355e5d0af3d4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_alarmCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Infinite loop that counts the alarms in the table to display them in the appropriate widget.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="a156a9b160ba4383d94d4e1a8c74fcaee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_acknowledgeAll </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bVisibleRangeOnly</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Acknowledge all the alarms in the table.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">bVisibleRangeOnly</td><td>bool, True to acknowledge only the alarm in the visible range of the table. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3e816bfb861adf337ced6b171f46eba0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string fwAlarmScreenGeneric_getConnectedSystems </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Get the list of systems connected to the local system. Local system is included.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>The list of connected systems. </dd></dl>

</div>
</div>
<a class="anchor" id="ae1f61810b932dcb8430744f620c79685"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_initSystemInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Initialize the widget that displays the state of the connected systems.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public. </dd></dl>

</div>
</div>
<a class="anchor" id="abb9f7213c4bc4e88b89a4e07b131caaa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_systemStateCB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Callback triggered when a system changes its connection state.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal:</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sDpe</td><td>string input, The system DPE that triggered the CB. </td></tr>
    <tr><td class="paramname">bState</td><td>bool input, The state of this system: true for connected, false for disconnected. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9729bba641e39f2863db6b9fccfe669b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_filteredSystemsCB </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsSystems</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Callback triggered when the AES system filter changes.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal:</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sDpe</td><td>string input, The system DPE that triggered the CB. </td></tr>
    <tr><td class="paramname">dsSystems</td><td>dyn_string input, The list of systems currently included in the filter. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a47e6ee77013191874d1ce0fa16e30561"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_updateSystemState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Update the display of the state of the filtered systems.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="a0517a6ec86f720556fbbfa8eb069374f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_config_openConfigPanel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Open the configuration panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="a2b0b9b4734a2c34f299f2c18a03164dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwAlarmScreenGeneric_config_getDpName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Get the configuration datapoint for the current user and the current panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="a31a6635af5b41760e4ce1c002bc0681a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_config_init </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sDp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Initialize the configuration for the current user and the current panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="ad88156523d92a1a909092d647790c666"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_config_set </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sParameter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const anytype&#160;</td>
          <td class="paramname"><em>aValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Set a configuration element to the given value.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sParameter</td><td>string input, The parameter to set (see constants FWALARMSCREEN_GENERIC_CONFIGURATION_xxx). </td></tr>
    <tr><td class="paramname">aValue</td><td>anytype input, The value to assign to this parameter. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac17bc66a8327ab093caade6c346d43f5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anytype _fwAlarmScreenGeneric_config_get </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sParameter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Get the value of the given parameter.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sParameter</td><td>string input, The parameter to set (see constants FWALARMSCREEN_GENERIC_CONFIGURATION_xxx).</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The current value of this parameter. </dd></dl>

</div>
</div>
<a class="anchor" id="a401fed6116e039798db0704f50872343"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwAlarmScreenGeneric_config_authorizedUser </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Check if the current user is allowed to write datapoints.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>True if he can, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="ac4600bc561dafb3df8bee76b2da980f5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwAlarmScreenGeneric_config_isAdmin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Check if the current user has admin rights. If the function xxAlarm_isAdmin() is defined the result will come from it. Otherwise, by default it corresponds to user level 4.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>True if the current user has admin rights, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="a2c794861bb63dcc237147f2d5c5d5204"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_config_triggerEvent </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>iEvent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Trigger an event.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iEvent</td><td>int input, The event to trigger (see constants FWALARMSCREEN_GENERIC_CONFIG_EVENT_xxx). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9cf1f48f500a87c3535997a2e0109d25"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_config_connectEvent </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sWork</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Connect the given callback to function to be triggered on any event.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sWork</td><td>string input, The callback function. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a18e766c3af46f5635c6c29b7d2f52ac1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_config_disconnectEvent </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sWork</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sUser</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Disconnect the given callback to function to be triggered on any event for the given user.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sWork</td><td>string input, The callback function. </td></tr>
    <tr><td class="paramname">sUser</td><td>string input, The user to disconnect for. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7a60f63a74671113aa2864bba34a4dd0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_config_save </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bSaveToDisk</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Save the configuration. Can be called ONLY from the config panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="a0140a9b9234d47a59eb94b6f5e8805e5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_config_load </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Load the configuration. To be used at startup (or when user changes).</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public. </dd></dl>

</div>
</div>
<a class="anchor" id="a15c06dc18bda83a6f95ebfb0b6bf8f82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_config_reduce </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sWidget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Save the config when given widget is reduced.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sWidget</td><td>string input, The reduced widget. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad9dd4f25a0a4ba8db087dba6f9221a01"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_config_expand </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sWidget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Save the config when given widget is expanded.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sWidget</td><td>string input, The expanded widget. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a872ff0b2d875caf621a697c27442e830"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_combocheckbox_setItems </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsElementList</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Set the item list for the given widget.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sReference</td><td>string input, The name given to the reference when the widget was added. </td></tr>
    <tr><td class="paramname">dsElements</td><td>dyn_string input, The list of items to show. Duplicate items are removed. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afc0fc0eea98d48f91553c03d46f99993"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string fwAlarmScreenGeneric_combocheckbox_getItems </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReference</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Get the item list of the given widget.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sReference</td><td>string input, The name given to the reference when the widget was added.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The list of elements that can be selected. </dd></dl>

</div>
</div>
<a class="anchor" id="a7f76e1d6446c7b5ff00c96314c18d475"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string fwAlarmScreenGeneric_combocheckbox_setSelectedItems </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const dyn_string&#160;</td>
          <td class="paramname"><em>dsSelectedItemList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bAllAreSelected</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Set the selected items list of the given widget.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sReference</td><td>string input, The name given to the reference when the widget was added. </td></tr>
    <tr><td class="paramname">dsSelectedItemList</td><td>dyn_string input, The list of items to select. No check if all items exist in the list. </td></tr>
    <tr><td class="paramname">bAllAreSelected</td><td>bool output, Indicates whether or not all the items are selected. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa12eb800ff98e8fc1d7f70d6b5d3c8fd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string fwAlarmScreenGeneric_combocheckbox_getSelectedItems </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>bAllAreSelected</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Get the selected items list of the given widget.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sReference</td><td>string input, The name given to the reference when the widget was added. </td></tr>
    <tr><td class="paramname">bAllAreSelected</td><td>bool output, Indicates whether or not all the items are selected.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The list of elements that can have been selected. </dd></dl>

</div>
</div>
<a class="anchor" id="a8141bad0e47cbdb0bf4726c18e58fe3d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_combocheckbox_showWidget </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bShow</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Show/hide the entire widget. Use this instead of setValue(REF, "visible", true/false).</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sReference</td><td>string input, The reference of the widget to hide. </td></tr>
    <tr><td class="paramname">bShow</td><td>bool input, True to show, false to hide. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a49fef6eadb84e3f32df00bc61ffd2852"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_combocheckbox_moveWidget </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>iDeltaX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>iDeltaY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Move the entire widget. Use this instead of setValue(REF, "visible", true/false). The parameters are NOT the new position but the delta compared to the initial position</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sReference</td><td>string input, The reference of the widget to move. </td></tr>
    <tr><td class="paramname">iDeltaX,iDeltaY</td><td>int input, move the widgets by X and Y pixels (can be &lt;0) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9b1a7c21e06f2330defe7edcd730124e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_combocheckbox_enableWidget </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bEnabled</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Enable/disable the entire widget. Use this instead of setValue(REF, "enabled", true/false).</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sReference</td><td>string input, The reference of the widget to hide. </td></tr>
    <tr><td class="paramname">bEnabled</td><td>bool input, True to enable, false to disable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5730c66c06733f7b868019724da3089f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_combocheckbox_show </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Show the table with all the elements. If some elements had been selected previously, they are selected again on loading.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sElementListNameParam</td><td>string input, The widget with list of elements to show in the table. Operation cancelled if does not exist. </td></tr>
    <tr><td class="paramname">sSelectedElementListNameParam</td><td>string input, The widget with list of elements already selected. Operation cancelled if does not exist. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab0435bbf525e595284538b679cd3653f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_combocheckbox_saveSelection </td>
          <td>(</td>
          <td class="paramtype">const dyn_string&#160;</td>
          <td class="paramname"><em>dsSelectedElementList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bForceSingle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sReferenceParam</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Save the selected element(s) and display the appropriate label depending if none, one, several or all are selected.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsSelectedElementList</td><td>dyn_string input, The list of elements that have been selected. </td></tr>
    <tr><td class="paramname">bForceSingle</td><td>bool input, If one specific row was clicked force the value to this one only, even if there is only one item in the list (otherwise it would go as "All"). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abcb6b66e90e687f62d38eb9781920def"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_combocheckbox_hideTable </td>
          <td>(</td>
          <td class="paramtype">const int&#160;</td>
          <td class="paramname"><em>iClickedRow</em> = <code>-1</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Action on hiding the table: Save the element that was clicked or save all the checked elements. NB This routine will be called either when clicking on one single element or on mouse-over out of the table.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">iClickedRow</td><td>int input, The row of the element clicked. By default -1 if table hidden by mouse-over out. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5d1977a6061f9258fccd26da9f78a430"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_combocheckbox_filterTable </td>
          <td>(</td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sFilter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Filter the content of the table to hide lines that do not match the pattern.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sFilter</td><td>string input, The pattern to check. Ignored if empty. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a15555958b37b04b8eac2702692e24e00"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_combocheckbox_selectAll </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bSelect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Select all the elements in the table.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bSelect</td><td>bool input, True to select, false to unselect. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aec9f5f3ec814b995fc712ac0d5771105"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_combocheckbox_checkAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Check if all the visible elements are selected. If they are, check the "All" box.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="ae8d7e35d0e4743fa6d9e3c87b3679c08"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_combocheckbox_chooseAllVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Set all visible items as current selection.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="a350c911a838a12d0e75af5bdd8a3757e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_rearrangeScreen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Rearrange the panel layout to move all widget to their expected position.</dd></dl>
<p>Usage: Public. </p>

</div>
</div>
<a class="anchor" id="ae0ab7f9e6156b6b8299a87b1fc456a18"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_disableActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Disable all the widgets to prevent an unauthorized user to change anything.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal. </dd></dl>

</div>
</div>
<a class="anchor" id="afdb61f31417e9bfab81c2c763f0809b2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_expandOrReduceFrame </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sFrame</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Expand or reduce any section of the panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sFrame</td><td>string input, The frame of the section to reduce/expand. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7b13068ae827812ffefd30ddd22863a9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_resizeTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Resize the table (heigth) to fit just in between the lowest frame and the bottom of the screen.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public. </dd></dl>

</div>
</div>
<a class="anchor" id="a4d1baae9623a16cbb446e1a050663151"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_expand </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Expand/reduce the whole panel to fit the size of the screen. Note: cannot expand to the entire screen size because the panel will appear bigger than the screen in that case (because of OS task bar and PVSS top part of a panel).</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public. </dd></dl>

</div>
</div>
<a class="anchor" id="a3f001f6a34bc0e31944932002c7ef56e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_closePanel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Close the panel. Call a custom close function if it exists for the current alarm panel, otherwise just close the window.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public. </dd></dl>

</div>
</div>
<a class="anchor" id="a2bbc43d4e5f5a8e8cf49cc2f9ffdbfbe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwAlarmScreenGeneric_moveWidgetTo </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sShape1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sShape2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Move one widget to the position of another widget.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Private</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sShape1</td><td>string input, widget to move. </td></tr>
    <tr><td class="paramname">sShape2</td><td>string input, widget to move to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a80e8d1d87282ad854b4c2058717ea40e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _fwAlarmScreenGeneric_isReduced </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sFrame</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Check if the given frame is reduced.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Internal.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sFrame,string</td><td>input, The frame to check.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if the frame is reduced, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="aede768b2f3da4f05c8b0882dd636b6b4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwAlarmScreenGeneric_getAlarmClass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Get what kind of alarm panel is currently in use.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>The alarm panel type. </dd></dl>

</div>
</div>
<a class="anchor" id="aade589d5632a1fdd7a0abbcb7fb9b2de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_wait </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bWait</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Show a progress bar that will move untill it is implicitely stopped. The bar is showed at the same position everytime: the position of the rectangleBusyBar rectangle.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bWait</td><td>bool input, True to start the loading of the bar, false to stop it (remove the bar). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3e20e9d6bc473de9fa6c24d43f8a65a3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmScreenGeneric_isHeaderReduced </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Check if the header frame is reduced.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>True if it is reduced, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="ae48376d957ce16d5ac16bb9150f94438"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmScreenGeneric_isInfoReduced </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Check if the header frame is reduced.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>True if it is reduced, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="aaa37a33b8f7d41eba1ac5b408a3325b8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmScreenGeneric_isTableFilterReduced </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Check if the table filter frame is reduced.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>True if it is reduced, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="a51bf7a3f5ffeb2365d8722aab2f13c2b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmScreenGeneric_isAlarmFilterReduced </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Check if the alarm filter frame is reduced.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>True if it is reduced, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="a70d54110c491a4949ff8487fc88e51b1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwAlarmScreenGeneric_screenReady </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Check if the alarm screen is ready.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Boolean, True if the UI has finished initializing, false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="aeb8fb1405bf580ca8456affa2ae45b7a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_copyLineToClipboard </td>
          <td>(</td>
          <td class="paramtype">const dyn_int&#160;</td>
          <td class="paramname"><em>diRows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const string&#160;</td>
          <td class="paramname"><em>sTableName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Copy the content of the given line of the given table to the clipboard. Only copies visible cells.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">iRow</td><td>int, The row to copy. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sTableName</td><td>string, The table from which to copy. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a64a20757c6b2b4d9b44867fbaf10d626"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_showHeader </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bShow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Show or hide the header part of the panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">bShow</td><td>bool, True to show, false to hide. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2148a0cc7891cdb79280f3a15fc3c1a6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_showInfo </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bShow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Show or hide the info part of the panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">bShow</td><td>bool, True to show, false to hide. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a63a54fcb94a484ee7f9a55da42debf4e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_showTableFilter </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bShow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Show or hide the table filter part of the panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">bShow</td><td>bool, True to show, false to hide. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1fd9745d0e61499a6915df42d7dd7133"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwAlarmScreenGeneric_showAlertFilter </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>bShow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description:</dt><dd>Show or hide the alert filter part of the panel.</dd></dl>
<dl class="section user"><dt>Usage:</dt><dd>Public.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">bShow</td><td>bool, True to show, false to hide. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a5bc26151b06da0ef6464fa66bd961532"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const string FW_ALARM_GENERIC_COMBOCHECKBOX_TABLE = &quot;fwAlarmScreenGeneric_combochecktable&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Functions to show and use several check-boxes instead of a combo-box wherever it is possible. This panel is intended for alarm/event list use, but could actually be adapted to be used anywhere.</p>
<p>Since the table containing all the check-boxes has to be on top of any other widget, it is added dynamically. Because of that there is a problem when several of this widget are on the same panel. One widget can write inside another. That is why the variable g_sReferenceName is used before access to UI elements. It is defined both in the main panel and in the reference one (containing only a table). </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAlarmScreenGeneric_8ctl.html">fwAlarmScreenGeneric.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
